Subject: bug#25265: make-thread crashes in OS X 10.6

From: "Charles A. Roelli" <[email-masked]>
Date: Mon, 19 Jun 2017 20:34:00 +0200

On 18/06/2017 16:01, Alan Third wrote:
> On Sun, Jun 18, 2017 at 03:05:04PM +0200, Charles A. Roelli wrote:
>> The tests sometimes all pass with the updated patch, but then I got
>> this once (the errors you've seen previously, I think):
>>
> <snip>
>
> Yeah, they look the same. I’m not sure what I can do to fix them if
> they’re still happening.

Wish I could help here.  Thanks for getting this far!

>
>> I also tried this way of running the tests in batch mode:
>>
>> cd test && rm -rf src/thread-tests.log && make src/thread-tests.log
>>
>> but got a segfault:
>>
>>    GEN      src/thread-tests.log
>> /bin/sh: line 1: 87214 Segmentation fault      HOME=/nonexistent
>> EMACSLOADPATH= LC_ALL=C
>> EMACS_TEST_DIRECTORY=/Volumes/Toblerone/Code/emacs-devel/test "../src/emacs"
>> -batch --no-site-file --no-site-lisp -L ":." -l ert -l src/thread-tests.el
>> --eval "(ert-run-tests-batch-and-exit nil)" > src/thread-tests.log 2>&1
>> Running 28 tests (2017-06-18 15:00:03+0200)
>> make: *** [src/thread-tests.log] Error 139
>>
>> I'm not sure where the problem is happening (or if it's specific to
>> NS).  The file 'src/thread-tests.log' also doesn't give any extra
>> information (besides 'Running 28 tests (2017-06-18 15:00:03+0200)').
> Yeah, I think that’s because I, accidentally, have the non‐GUI version
> trying to run some GUI stuff. I noticed this myself yesterday.
>
> Running NS Emacs without a GUI has always worked with threads because
> it just bypasses the NS run loop which is the problem.
>
> I’ve attached a new patch that actually checks whether we’re running
> the NS GUI.

Thanks, the new patch fixes the issue.